mui.init();
mui.plusReady(function() {
	document.addEventListener('pause',function(){
		mui.toast('程序在后台运行');
	});
	document.getElementById('form2').classList.add('mui-hidden');
	//
	//手机和验证码绑定事件
	mui('.mui-input-msgs').on('tap', '.code', function() {
		var account=document.getElementById('account').value;
		if(account ==null || account ==''){
			mui.toast('请先输入账号名');
			document.getElementById('account').focus();
		}else{
			checkAccount();
		}
	})
});
//校验账号名的唯一性
function checkAccount() {
	var account = document.getElementById('account').value;
	var url = global.rootPath + "/direct/loginCtl/checkLoginNameUnique?account=" + account;
	plus.nativeUI.showWaiting('加载中...');
	mui.ajax({
		url: url,
		data: null,
		dataType: 'json',
		type: 'get',
		headers: {
			'content-Type':'application/json',
			'PhcerFromMobile': 'https://www.tphcer.com'
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data == null) {
				mui.toast('加载失败');
			} else {
				if(data.code == 200) {
					getvalidatorCode();
				}else{
					mui.toast(data.message);
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			plus.nativeUI.closeWaiting();
			mui.toast(type);
		}
	})
}

// 获取验证码&手机校验
function getvalidatorCode() {
	var sendCode = document.getElementById('validCode').innerHTML;
	if(sendCode != "获取验证码")
		return;
		
	var mobiles = document.getElementById("mobile").value;
	var regexs = /^1[3456789]\d{9}$/;
	if(mobiles == null || mobiles == "") {
		mui.toast('请先输入手机号码', {
			duration: '2000',
			type: 'div'
		});
		return;
	}

	if(!regexs.test(mobiles)) {
		mui.toast('请输入正确的手机号码', {
			duration: '2000',
			type: 'div'
		});
		return;
	}
	plus.nativeUI.showWaiting("");
	var url = global.rootPath +
		"/direct/loginCtl/checkMobileUnique?mobile=" + mobiles;
	global.asyncGet(url, function(data) {
		plus.nativeUI.closeWaiting();
		if(data == null) {
			mui.toast("手机号码校验失败", {
				duration: '2000',
				type: 'div'
			});
			return;
		}

		if(data.code == 200) {
			var urls = global.rootPath +
				"/direct/loginCtl/sendValidateCode?mobile=" + mobiles;
			global.asyncGet(urls, function(data) {
				if(data == null) {
					mui.toast('获取验证码失败', {
						duration: '2000',
						type: 'div'
					});
					return;
				} else {
					if(data.code == 200) {

						mui.toast('验证码发送成功', {
							duration: '2000',
							type: 'div'
						});
					} else {
						mui.toast('验证码发送失败', {
							duration: '2000',
							type: 'div'
						});
						return;
					}
				}
			});
			var flag = true;
			var time = 90;
			//var code = document.getElementById('validCode').innerHTML;
			if(flag) {
				flag = false;
				var v = setInterval(function() {
					time--;
					document.getElementById('validCode').innerHTML='重新获取'+ time + 's';
					if(time == 0) {
						clearInterval(v);
						document.getElementById('validCode').innerHTML="获取验证码";
						flag = true;
						//验证码60s失效
						var urlss = global.rootPath + "/auth/user/userCompany/DelSms";
						mui.ajax({
							type: "GET",
							url: (encodeURI(urlss)),
							async: true,
							cache: false,
							dataType: "json",
							headers: {
								'content-Type':'application/json',
								'PhcerFromMobile': 'https://www.tphcer.com'
							},
							success: function(data) {
								if(data.status == 2000000) {

								}
							},
							error: function(data) {

							}
						});
					}
				}, 1000)
			}
		} else {
			plus.nativeUI.closeWaiting();
			var mobile = document.getElementById("mobile").value='';
			mui.toast(data.message, {
				duration: '2000',
				type: 'div'
			});
			return;
		}
	});

}

function checkForm() {
	var account = document.getElementById("account").value;
	var mobile = document.getElementById("mobile").value;
	var validateCode = document.getElementById("validateCode").value;
	var password = document.getElementById("password").value;
	var pwd = document.getElementById("password_confirm").value;
	if(account == '' || mobile == '' || validateCode == '' || password == '' || pwd == '') {
		mui.toast('请先填写完整信息', {
			duration: '2000',
			type: 'div'
		});
		return false;
	} else {
		if(mobile != '') {
			if(mobile.length != 11 || mobile == '' || mobile == null) {
				mui.toast('手机号码长度不满足11位', {
					duration: '2000',
					type: 'div'
				});
				return false;
			} else {
				if(validateCode != '') {
					var regex = /^\d{6}$/;
					var validateCode = document.getElementById("validateCode").value;
					if(!regex.test(validateCode) || validateCode.length != 6) {
						mui.toast('请输入6位数字验证码', {
							duration: '2000',
							type: 'div'
						});
						return false;
					} else {
						var regs = /^(?=.*\d)(?=.*[a-zA-Z])[\da-zA-Z~!@#$%^&*]{8,12}$/;
						if(!regs.test(password) || password.length < 8 || password.length > 12) {
							mui.toast('密码为8至12位的字母加数字组合', {
								duration: '2000',
								type: 'div'
							});
							return false;
						} else {
							if(pwd != password) {
								mui.toast('两次密码不一致', {
									duration: '2000',
									type: 'div'
								});
								return false;
							} else {
								saves();
								return false;
							}
						}
					}
				}
			}
		}
	}
}

//提交保存
function saves() {
	var obj = {
		account: document.getElementById("account").value,
		mobile: document.getElementById("mobile").value,
		validateCode: document.getElementById("validateCode").value,
		password: document.getElementById("password").value
	};
	var postData = JSON.stringify(obj);
	var url = global.rootPath + '/direct/loginCtl/save';
	global.asyncPost(url, postData, function(data) {
		if(data == null) {
			mui.toast('保存失败');
			return false;
		} else {
			if(data.code == 200) {
				document.getElementById('form1').classList.add('mui-hidden');
				document.getElementById('form2').classList.remove('mui-hidden');
				setTimeout(ChangeTime, 1000);
			} else {
				mui.toast(data.message);
				return false;
			}
		}
	})
}

//注册成功跳转
function ChangeTime() {
	var time;
	time = document.getElementById("jump").innerText;
	time = parseInt(time);
	time--;
	if(time <= 0) {
		mui.openWindow({
			url:'../login.html',
			id:'login.html'
		})
		//window.location.href = global.rootPath + '/direct/loginCtl/loginPage';
	} else {
		document.getElementById("jump").innerText=time;
		setTimeout(ChangeTime, 1000);
	}
}
//密码强度
window.onload = function() {
	var oInput = document.getElementById('password');
	oInput.value = '';
	var spans = document.getElementById('div-span')
		.getElementsByTagName('span');
	oInput.onkeyup = function() {
		// 强度状态设为默认
		spans[0].className = "default";
		spans[1].className = "default2";
		spans[2].className = "default3";

		var pwd = this.value;
		var result = 0;
		for(var i = 0, len = pwd.length; i < len; ++i) {
			result |= charType(pwd.charCodeAt(i));
		}

		var level = 0;
		// 对result进行四次循环，计算其level
		for(var i = 0; i <= 4; i++) {
			if(result & 1) {
				level++;
			}
			// 右移一位
			result = result >>> 1;
		}

		if(pwd.length >= 8) {
			switch(level) {
				case 1:
					spans[0].className = "weak";
					break;
				case 2:
					spans[0].className = "medium";
					spans[1].className = "medium";
					break;
				case 3:
				case 4:
					spans[0].className = "strong";
					spans[1].className = "strong";
					spans[2].className = "strong";
					break;
			}
		}
	}
}

/*
 * 定义一个函数，对给定的数分为四类(判断密码类型)，返回十进制1，2，4，8 数字 0001 -->1 48~57 小写字母 0010 -->2
 * 97~122 大写字母 0100 -->4 65~90 特殊 1000 --> 8 其它
 */
function charType(num) {
	if(num >= 48 && num <= 57) {
		return 1;
	}
	if(num >= 97 && num <= 122) {
		return 2;
	}
	if(num >= 65 && num <= 90) {
		return 4;
	}
	return 8;
}